#include <stdlib.h>

#include "shaperd.h"


int main(int argc, char *argv[])
{
    struct shaperd_options *opts;
    opts=shaperd_options_new();
    parse_cmdline(argc,argv,opts);
    return old_main(argc,argv);
}

struct shaperd_options *shaperd_options_new()
{
    struct shaperd_options *opts;
    opts = (struct shaperd_options *)
	calloc(1 ,sizeof(struct shaperd_options));
    if (!opts)
	return 0;
    opts->config = SHAPERD_DEFAULT_CONFIG;
    opts->speed_ext = SHAPERD_DEFAULT_SPEED_EXT;
    opts->debug = SHAPERD_DEFAULT_DEBUG;
    opts->delay = SHAPERD_DEFAULT_DELAY;
    opts->olddelay = SHAPERD_DEFAULT_OLDDELAY;
    opts->high_start_speed = SHAPERD_DEFAULT_HIGH_START_SPEED;
    opts->even_division = SHAPERD_DEFAULT_EVEN_DIVISION;
    opts->quick_start = SHAPERD_DEFAULT_QUICK_START;
    opts->continous_control = SHAPERD_DEFAULT_CONTINOUS_CONTROL;
    opts->jump_type = SHAPERD_DEFAULT_JUMP_TYPE;
    opts->check_sum_of_bandwidth = SHAPERD_DEFAULT_CHECK_SUM_OF_BANDWIDTH;
    opts->squid_support = SHAPERD_DEFAULT_SQUID_SUPPORT;
    opts->divide_upload = SHAPERD_DEFAULT_DIVIDE_UPLOAD;
    opts->extended_queue = SHAPERD_DEFAULT_EXTENDED_QUEUE;
    opts->nomasq = SHAPERD_DEFAULT_NOMASQ;
    opts->class_type = SHAPERD_DEFAULT_CLASS_TYPE;
    opts->upload_class_type = SHAPERD_DEFAULT_UPLOAD_CLASS_TYPE;
    return opts;
}
